/* ***************************************************************** */
/*                                                                   */
/* Licensed Materials - Property of IBM                              */
/*                                                                   */
/* L-AENR-7AYBE2                                                     */
/*                                                                   */
/* Copyright IBM Corp. 2007, 2008  All Rights Reserved               */
/*                                                                   */
/* US Government Users Restricted Rights - Use, duplication or       */
/* disclosure restricted by GSA ADP Schedule Contract with           */
/* IBM Corp.                                                         */
/*                                                                   */
/* ***************************************************************** */

package com.ibm.productivity.tools.samples.views.actions;

import org.eclipse.jface.action.Action;
import org.eclipse.swt.SWT;
import org.eclipse.swt.widgets.FileDialog;
import org.eclipse.ui.IWorkbenchWindow;
import org.eclipse.ui.PlatformUI;
import org.eclipse.ui.actions.ActionFactory;

import com.ibm.productivity.tools.samples.views.WriterView;
import com.ibm.productivity.tools.ui.views.operations.LoadOperation;
import com.ibm.productivity.tools.ui.views.operations.OperationFactory;

/**
 * a demo action class which open a specified file
 * 
 */
public class LoadAction extends Action implements
		ActionFactory.IWorkbenchAction {

	/**
	 * the workbench window
	 */
	private IWorkbenchWindow window;
    
	/**
	 * constructor
	 * @param window 
	 */
	public LoadAction(IWorkbenchWindow window) {
		super();
		
		this.window = window;
	}

	/* (non-Javadoc)
	 * @see org.eclipse.ui.actions.ActionFactory$IWorkbenchAction#dispose()
	 */
	public void dispose() {
	}

	/*
	 * (non-Javadoc)
	 * 
	 * @see org.eclipse.jface.action.Action#run()
	 */
	public void run() {
		//prompt a file selection dialog
		FileDialog dlg = new FileDialog(PlatformUI.getWorkbench()
				.getActiveWorkbenchWindow().getShell(), SWT.OPEN);
		final String filePath = dlg.open();
//		final String filePath1 = convertToURL(filePath);
		
		//execute load operation
		WriterView view = (WriterView) window.getActivePage().findView(WriterView.VIEW_ID);
		view.executeOperation(OperationFactory.createLoadOperation(filePath, false));	
	}

}
